#' Parse arguments and prepare grouping, replacements, and seed base.
#' @param .g list of temporary objects needed.
#' @return Updated version of .g.
.jk.univariate.prepare <- function(.g){
	# requires:
	#	analyse
	#	group.by
	#	mysql.connection
	#	input.table
	#	where
 	# assigns:
	#	analyse.names
	#	group.by.ids
	#	group.by.ids.sql
	#	grouped.table
	#	replacements.sql1
	#	replacements.sql2
	#	seed.base
	#	table.with.group.ids
	# creates:
	#	_groups
	#	_level_combinations
	
	.g <- .jk.parse.group.by(.g)
	.g <- .jk.prepare.replacements(.g)
	.g <- .jk.make.seed.base(.g)
    return(.g)
}
