#' Utility functions

#' Paste columns and collapse rows without any space.
#' @param ... Items to be pasted.
#' @return Pasted string.
npaste <- function (...) { paste(...,sep="",collapse="") }


#' Paste columns without space and collapse rows using a comma.
#' @param ... Items to be pasted.
#' @return Pasted string.
cpaste <- function (...) { paste(...,sep="",collapse=",") }

#' Replace a word in a string.
#' @param word String specifying the word to be replaced in target.
#' @param replacement String specifying the replacement for word in target.
#' @param target String specifying the target in which word is replaced by target.
#' @return Target with each occurrence of word replaced by replacement.
replace.word <- function ( word, replacement, target ) {
	w <- "[^abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789_]"
	sub(cpaste("(",w,"|^)",word,"(",w,"|$)"),cpaste("\\1",replacement,"\\2"),target,perl=TRUE)
}
