thedemo <- function(n=30,debug=0,secret="some-secret-of-the-data-provider",seed=0) {
    
    set.seed(seed)

    mysql.connection <- dbConnect(
        dbDriver("MySQL"), host="localhost", user="condense", password="condense", dbname="condense")
        dbWriteTable(mysql.connection, "test", data.frame(list(
             g=floor(runif(n)*2)
            ,X=runif(n)
            ,Y=rnorm(n)
        )), overwrite=TRUE)
    
    result <- jk.means(
         connection=mysql.connection
        ,input.table="test"
        ,analyse=list(
             list(name="X", label="uniformly distributed", quartiles=c(0,.25,.5,.75,1))
            ,list(name="Y", label="normally distributed", quartiles=c(-Inf,-1.25,0,1.25,Inf))
        )
        ,group.by=list(
            list(name="g", label="group", groups=list(
                 list(level=1, label="A", condition="x=0") 
                ,list(level=1, label="B", condition="x=1") 
            ))
        )
        ,debug=debug
        ,secret=secret
    )
    
    dbDisconnect(mysql.connection)

    return(result)
}
cat ('Note: This demo requires a local MySQL database+user+password all named "condense".\n')
cat ('Please call thedemo() or thedemo(n=...,secret="...",seed=...)\n')
